Linux Mint LMDE 5 Elsie διαθέσιμο και για αναβάθμιση

Το Linux Mint, όπως οι περισσότεροι γνωρίζουν εκτός από την “κανονική” έκδοση, εργάζεται και πάνω σε μια άλλη έκδοση του λειτουργικού βασισμένη στο Debian το LMDE (linux mint debian edition).
Η νέα έκδοση αυτού του λειτουργικού ονομάζεται LMDE 5 “Elsie” και εκτός από την δυνατότητα νέας εγκατάστασης θα υπάρχει και αυτή της αναβάθμισης από την προηγούμενη "LMDE 4" στην νέα.
Όσοι θέλουν να αναβαθμίσουν θα χρειαστεί να περιμένουν λιγάκι γιατί απ’ ότι φαίνεται κατι καλό ετοιμάζουν πάλι :smiley:

Upgrade instructions:

Stay tuned. Upgrade instructions will be posted at a later stage. The team is working on improving the major release upgrade tool used in Linux Mint and LMDE.

https://blog.linuxmint.com/?p=4287

Edit: Ενημέρωση 06/04/22

Monthly News – March 2022

LMDE 4 “Debbie” will reach EOL in August 2022.

LMDE 5 “Elsie” is available as a fresh install but the upgrade path isn’t open yet.

We’ll release the new upgrade tool as soon as possible. It will go through a small BETA phase when it is feature ready so we can identify and fix any potential bugs.

The upgrade tool is currently in ALPHA at GitHub - linuxmint/mintupgrade

Σχετικά με το εργαλείο αναβάθμησης εδώ:

2 «Μου αρέσει»

“Stay tuned. Upgrade instructions will be posted at a later stage. The team is working on improving the major release upgrade tool used in Linux Mint and LMDE.”

Δλδ θα γίνεται να περάσεις από το “κανονικό” σε LMDE μέσω update;

Όχι, άλλα αμα κάνεις ένα Format όλα γίνονται :innocent:

1 «Μου αρέσει»

απο mint σε LMDE δεν γινεται, γιατι εχουν διαφορετικη βαση. το mint εχει σαν βαση το ubuntu, ενω το LMDE εχει σαν βαση το debian. και αυτα τα 2 πλεον λειτουργουν ΤΕΛΕΙΩΣ ΔΙΑΦΟΡΕΤΙΚΑ. τωρα, απο LMDE4 σε LMDE5 βλεπουμε. μεχρι να βγει απο την υποστηριξη το LMDE4 και να χρειαστει αναβαθμιση σε LMDE5 θα εχει σβησει ο ηλιος (γιατι το LMDE εχει υποστηριξη σαν το debian. καθε εκδοση υποστηριζεται για κατι αιωνες)

ελπιζω στο LMDE να μην εχουν πλεον σαν default στον ηχο το pipewire (γιατι κατι ειδα στο μπλογκ τους οτι στο περασμα σε LMDE5 θα πρεπει να εγκατασταθει το pipewire), γιατι αποσο ειδα δεν εχει τις δυνατοτητες του pulseaudio. και στο desktop μου που εχω setup με 2 καρτες ηχου crosslinked (κατι σαν soundcard SLI ας το πουμε), και χρησιμοποιω καθημερινα αυτη τη λειτουργια, δεν νομιζω οτι θα εχω και πολυ ευχαριστη εμπειρια

Ισως να το ξαναδεις το θέμα γιατι το LMDE 4 έχει EOL τον Αύγουστο…

ευτυχως μολις διαπιστωσα οτι δεν θα χρειαστει να ανησυχω για την αναβαθμιση γιατι απλα δεν θα την κανω (οταν κανω εγκατασταση ενα συστημα με παιρνει κυριολεκτικα βδομαδες να το μονταρω και να φτιαξω τις κουστομιες που θελω)

και απο τη στιγμη που οι περισσοτεροι που βλεπω σε φορουμ youtube, κλπ, εχουν πολλα προβληματα με το upgrade tool (τουλαχιστον προς το παρον) δεν τολμαω ΟΥΤΕ ΓΙΑ ΑΣΤΕΙΟ να το κανω σε συστημα που χρησιμοποιω καθημερινα

ΕΥΤΥΧΩΣ οι τυποι του LMDE κανουν οτι κανει το debian, που κραταει ακομα προσβασιμες τις πηγες ολων των εκδοσεων του μεχρι το τελος του κοσμου. ειδα οτι υπαρχουν ΑΚΟΜΑ διαθεσιμες οι πηγες για το LMDE2 (προφανως βεβαια δεν παιρνουν updates και νεες εκδοσεις προγραμματων, αλλα ειναι ακομα προσβασιμες). αρα αν ειχα LMDE2 θα μπορουσα ακομα να το χρησιμοποιησω. αρα μεχρι να μην μπορω πλεον να χρησιμοποιησω το LMDE4, θα εχει σβησει ο ηλιος

Μόλις έδωσες σε όλους ένα καλό λόγο για να μην κάνεις ταρζανίες στο λειτουργικό σου :innocent:

Δεν λέω και εγώ κάνω, αλλά το ξαναστήνω σε λίγες ώρες με κάποια σκριπτάκια. Α και γράφω εδώ κανένα αρθράκι να τα έχω και γραμμένα :wink:

@Asfodelus τοτε γιατι να βαλεις λινουΚΣ αν ειναι να το αφησεις default και να μην το μονταρεις? :innocent: :wink:

εδω ξηλωσα ΟΛΟ το cinnamon (ποτε μου δεν το συμπαθησα το cinnamon. παντα με φαινοταν χοντροκομμενο και προβληματικο) και το αντικατεσησα με custom xfce που φορτωνει με xinit (το xfce ηταν μεχρι προσφατα το 2ο αγαπημενο μου με πρωτο το gnome. τωρα το xfce ειναι πρωτο και με διαφορα)

και παλι ομως το συστημα λειτουργει αψογα και το upgrade tool δεν εβγαλε τιποτα σοβαρο. με εβγαλε μονο οτι πρεπει να εγκατασταθει ο grub (ουτε για αστειο φυσικα. extlinuKS μεχρι να σβησει ο ηλιος) και το os-prober (το οποιο με ειναι τελειως αχρηστο μιας που δεν εχω αλλο συστημα εγκαστημενο)

Γιατί τον υπολογιστή τον έχουμε να μας υπηρετεί, όχι εμείς εκείνον :innocent:

Αν θέλεις καστομίες, κάτι σεβαστό, τότε γιατί έβαλες Mint κατ αρχήν. Υπάρχουν τόσες διανομές για αυτές τις χρήσεις. Arch, Gentoo, Linux from scratch… Το κάθε εργαλείο για την κάθε χρήση.

Τέλος τον να διαφημίζεις την μη αναβάθμιση στο Mint μια διανομή που απευθύνετε σε καινούργιους χρήστες, είναι επίσης προβληματικό, δημιουργεί εντυπώσεις πως η διαδικασία είναι δύσκολη ή επικίνδυνη. Πρέπει να έχουμε πάντα στο νου αυτούς που μας διαβάζουν.

Τώρα κάθε άρθρο (ή άρθρα) για καστομίες (με την επισήμανση μην το κάνετε στο σπίτι χωρίς γονική επίβλεψη) είναι πάντα καλοδεχούμενο εδώ μέσα :grin:

βασικα αυτο για το upgrade tool του LMDE και τα προβληματα στις αναβαθμισεις απο 4 σε 5, τα διαβασα κυριως στο φορουμ το μιντ, με ποσα ατομα που ειχαν σοβαρα προβληματα. αρα προς το παρον μπορει να θεωρηθει προβληματικο το upgrade tool (οσο τουλαχιστον ειναι σε beta ακομα)

εννοειται οτι δεν λεω να μην κανεις updates, κλπ. αλλα αν κανεις κατι και σε διαλυει το λειτουργικο, καλυτερα δεν ειναι να μην το κανεις, και να περιμενεις λιγο οταν θα ειναι πιο αξιοπιστο και ασφαλες? και ειδικα αρχαρια ατομα που μπορει να σπασει κατι και δεν θα ξερουν πως να το φτιαξουν

το LMDE το επελεξα για δοκιμη για γνωστο μου, για να δω αν κανει για τη χρηση που το ηθελε. δεν τον αρεσε τελικα αλλα το κρατησα να το δω πως ειναι και τι διαφορες εχει απο το debian. τελικα με αρεσε και το εβαλα σε λαπτοπ για καθημερινη χρηση (και το σαπιο debian8 στο desktop)

για LFS και gentoo δεν εχω τοσες γνωσεις για να τα δουλεψω, οποτε απορριπτονται με τη μια. κανα arch ισως να δοκιμαζα, αλλα θελω κατι σταθερο. και κατι πιο σταθερο απο το debian απλα δεν υπαρχει. πρεπει να προσπαθησεις πολυ σκληρα για να σπασεις ενα συστημα σαν το debian

Αναμενόμενο δεν είναι να έχει προβλήματα; Αυτός δεν είναι ο λόγος που αυτή η φάση, (BETA), δημιουργίας της εκάστοτε εφαρμογής δίνεται στο κοινό, για να βρεθούν και να διορθωθούν αυτά τα προβλήματα;
Και πού 'νε το κακό δηλαδή να υπάρχουν εργαλεία που να μας κάνουν την ζωή εύκολη;
Νομίζω ότι οι περισσότεροι χρήστες θέλουν να ανοίγουν τον υπολογιστή τους και να κάνουν την δουλειά τους, την δικιά τους δουλειά ούτε την δικιά μου ούτε του… “Χατζηπετρή”.
Είναι ωραίο που υπάρχουν τόσα πολλά εργαλεία για όλους, και για σένα και για μένα και για την κουτσή Μαρία, α και για τον Χατζηπετρή ! :smile:
Αλλά ίσως και να μην δουλέψει τίποτα τελικά και να έδωσαν τσάμπα τον χρόνο τους και όχι μόνο οι προγραμματιστές.
Ιδωμεν…

1 «Μου αρέσει»

μα δεν ειπα το αντιθετο. καλα κανανε και το βγαλανε αυτο το προγραμματακι. και για μια διανομη που προοριζεται για αρχαριους ειναι ιδανικο για ευκολη αναβαθμιση. αυτο που ειπα, ειναι οτι στην παρουσα φαση δεν ειναι ακομα αξιοπιστο για γενικη χρηση, και οτι εγω απλα δεν θα το χρησιμοποιουσα προς το παρον, μεχρι να τελειοποιηθει και να μην διαλυει πραγματα

θα με πεις, αν δεν γινουν δοκιμες πως θα τελειοποιηθει. αυτο θελει ατομα που μπορουν να κανουν beta testing, debugging, κλπ. γιατι αν στη παρουσα φαση το κανει η κουτση μαρια και ο χατζιπετρης :smile: που δεν εχουν ιδεα απο αυτα, αν διαλυθει κατι, μονο «κακο» θα φανει για τους χρηστες αυτους

αποσο το ειδα (το δοκιμασα χθες βραδυ), φαινεται να εχουν κανει καλη δουλεια, ασχετα αν σε πολλους εχει βγαλει προβληματα λογω beta. αν εξαιρεσω το γεγονος οτι με βαζει αναγκαστικα να εγκαταστησω τον σαπιοgrub (τον οποιο απεχθανομαι τοσο οσο τα fat32 efi partitions :stuck_out_tongue_winking_eye: ), κατα τα αλλα φαινεται προσεγμενο

κανει προσομοιωση αναβαθμισης για να δει αν γινεται, αν βγαζει ορφανα πακετα, πακετα που πρεπει να αφαιρεθουν/εγκατασταθουν, κλπ. κατι σαν dist-upgrade με γραφικο. αν τελειοποιηθει, προσωπικα δεν το βρισκω ασχημο. εγω μπορει να μην το χρησιμοποιησω, αλλα για καποιον αρχαριο θα ειναι διευκολυνση

Έθεσες τις ερωτήσεις, έδωσες τις απαντήσεις, υπάρχει το post
Από μένα έτερον ουδέν :slightly_smiling_face:

Οι χρήστες του LMDE 4 "Linux Mint Debian edition", είναι τώρα δυνατών όσοι επιθυμούν, να αναβαθμίσουν. Η ανακοίνωση από το blog του Mint, έχουμε αναφερθεί εδώ και εδώ.
Όσοι βέβαια θέλουν μπορούν να περιμένουν μέχρι και τον Αύγουστο που θα είναι EOL για το LMDE 4 μιας κι έχουμε καινούρια πράγματα.

3 «Μου αρέσει»